OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
ExpandNarrowbandMask< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | BoolTreeType = typename TreeType::template ValueConverter< bool >::Type
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType
using | BoolTreeTypePtr = typename BoolTreeType::Ptr

## Public Member Functions
| ExpandNarrowbandMask (const TreeType &tree, std::vector< BoolTreeTypePtr > &segments)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
const TreeType *const | mTree
BoolTreeTypePtr *const | mSegments

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ BoolTreeType

using BoolTreeType = typename TreeType::template ValueConverter<bool>::Type

## ◆ BoolTreeTypePtr

using BoolTreeTypePtr = typename BoolTreeType::Ptr

## Constructor & Destructor Documentation

## ◆ ExpandNarrowbandMask()

ExpandNarrowbandMask | ( | const TreeType & | tree,
|  | std::vector< BoolTreeTypePtr > & | segments
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mSegments

BoolTreeTypePtr* const mSegments

## ◆ mTree

const TreeType* const mTree

The documentation for this struct was generated from the following file:

- LevelSetUtil.h